summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xtests/tests/tagupl12
1 files changed, 10 insertions, 2 deletions
diff --git a/tests/tests/tagupl b/tests/tests/tagupl
index c70583e..3bb683d 100755
--- a/tests/tests/tagupl
+++ b/tests/tests/tagupl
@@ -178,8 +178,16 @@ perl -pe <../raw-base '
' >../tagobj-$ident
echo >>../tagobj-$ident
cat ../basetag >>../tagobj-$ident
-raw-mangled
-grep 'failed to fish tagger out of tag' ../tagupl/overall.log
+set +e
+(set -e; LC_MESSAGES=C raw-mangled 2>../mktag.err)
+rc=$?
+set -e
+if [ $rc = 0 ]; then
+ grep 'failed to fish tagger out of tag' ../tagupl/overall.log
+elif [ $rc = 128 ] && egrep 'error: object fails fsck: badTimezone: invalid author/committer line - bad time zone' ../mktag.err; then :
+else
+ fatal 'failed to make raw-mangled'
+fi
cd ..
rm -rf $p